Ubuntu

Ubuntu 10.04 makes RTL8111/8168B network card unusable until cold reboot

Reported by Philipp Hagemeister on 2010-05-01
230
This bug affects 46 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Nominated for Lucid by Kevin
Maverick
High
Unassigned

Bug Description

Binary package hint: linux-source-2.6.32

After booting Ubuntu 10.04 (amd64), my RTL8111/8168B network card (driver: r8169) is reported as not connected to the wired network - even after rebooting into Windows 7 or Ubuntu 9.10. A cold reboot solves the problem. For further information on this bug, see http://ubuntuforums.org/showthread.php?t=1436667 .

Philipp Hagemeister (phihag) wrote :
tags: added: kj-triage
Jeremy Foshee (jeremyfoshee) wrote :

Hi Philipp,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 573259

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: New → Incomplete
Kevin (kevinshlee) wrote :

I'm using the latest kernel released (2.6.32-24) and am having this problem. The only difference is warm rebooting works for mine.

This is my NIC, and it is an on-board ethernet chip belonging to Gigabyte GA-880GM-UD2H
Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)

Changed in linux (Ubuntu):
status: Incomplete → New
Doug Smith (dsmithatx) wrote :

I have the r8168B and it is unusable in 10.04 32bit LTS. This was a new HP desktop and has Windows 7 which works fine. I installed Ubuntu as a dual boot and the network card didn't work. One time in probably 50 reboots it did work in Ubuntu. Warm booting from windows or cold booting have not helped me at all.

After some research what I have found is for some reason Ubuntu installs the wrong driver -> r8169B. I was able to download and compile the new driver just find. The problem is I'm unsure how to install and test to see if it will fix this. I added "blacklist r8169" to /etc/modules.d/blacklist.conf, black, blacklist-local.conf and no matter what I do Ubuntu insist on loading the driver. I even moved the r8169.ko and yet it still gets loaded.

I can manually modprobe r8168 and it installs but doesn't associate with the card. The purpose of this post is to let everyone know the problem looks like the wrong driver and hopefully someone can respond with what I'm doing wrong here to install it.

Here is where I found the driver and some non 10.04 instructions:

http://wiki.hetzner.de/index.php/Installation_of_r8168_network_driver

Doug Smith (dsmithatx) wrote :

I was able to get the r8168 driver working. For some reason the command in the instructions I linked above "update-initramfs -v -u -k `uname -r`" didn't work but "update-initramfs -u" fixed the blacklist problem.

Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
polo974 (pmunsch) wrote :

By the way,
could you also update the 8.04LST server driver (and the network boot initrd image),
the bug is old...
there are some little change between the 8168 and 8169 that are not correctly managed by the linux r8169 driver.
a "remix" from this and the original 8168 one is more than urgent...

Fabián Rodríguez (magicfab) wrote :

I've found other similar bugs all marked "fix released" before:

r8169 driver does not detect link
https://bugs.edge.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/86798

realtek gigabit ethernet not recognised on feisty
https://bugs.edge.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/79626

My card's PCI ID is 10ec:8168.

I also tested it in Ubuntu Maverick RC (live desktop) and although the Network Manager searched for a few seconds, couldn't obtain a lease.

I'll be trying the workaround mentioned in the above bugs and reporting back.

Fabián Rodríguez (magicfab) wrote :
Fabián Rodríguez (magicfab) wrote :

I'll be opening a new bug about this for Maverick, as the cold boot workaround mentioned here does not work for me and I suspect this is a different card.

Fabián Rodríguez (magicfab) wrote :

FWIW, we ended up buying a cheap comaptible card and using that instead.

Fabián Rodríguez (magicfab) wrote :

I don't have access to this system anymore, I am awaiting confirmation the original owner will be opening a new bug for this.

Meanwhile I'll be adding a note to the Ubuntu Maverick Release notes:
 * New drivers preventing "sleep" problem for RTL8111/8168B gigabit network adapter (usually onboard) are missing (Bug:573259)

Changed in ubuntu-release-notes:
status: New → Fix Released
Kevin (kevinshlee) wrote :

This problem still exits in both Ubuntu 10.04 and 10.10.
Only difference is that 10.04 works after *SEVERAL* times of warm reboot whereas 10.10 requires cold reboot.

Kevin (kevinshlee) wrote :

Sorry my bad. 'still exits' (X) => 'still exists' (O)

Thomas Schiex (thomas-schiex) wrote :

I have the same problem under 10.10, kernel 2.6.35-22.34.
There seems to be some bad interaction between Windows and Linux (my lan chip is sometimes asleep under linux, then also under windows. Cold boot makes everythink ok again).

Installing the r8168 driver from realtek (unknown LICENCE)

http://www.realtek.com.tw/DOWNLOADS/DOWNLOADSVIEW.ASPX?LANGID=1&PNID=13&PFID=5&LEVEL=5&CONN=4&DOWNTYPEID=3&GETDOWN=FALSE

solves (for now...) the issue:

1) compile and install it as root (using the provided autorun.sh script)
2) blacklist 8169 by: cat blacklist r8169 > /etc/modprobe.d/blacklist-network.conf
3) update the initramfs: update-initramfs -u

reboot... it apparently works

yonkiman (fred-yonkitime) wrote :

I also have this problem with 10.10, kernel 2.6.35-22-34. Brand-new motherboard is ASUS P7P55D- E PRO with Realtek "8112L" Ethernet chip. (Realtek website doesn't know about 8112 - I think it's actually the RTL8111.)

Ethernet works fine under WinXP, but when I boot into Ubuntu the ethernet is no longer working. What's worse, it kills ethernet when I boot back into Windows. Turning ethernet OFFin the bios, booting into Windows, restarting, turning ethernet back ON in the bios, rebooting into Windows *sometimes* gets it working again in Windows (others have reported turning PC for a time fixes the problem). I've never had it working in Ubuntu.

There seem to be a lot of related "Linux/Ubuntu killed my ethernet" threads over the last year or so...this seems to be fairly common. I almost started to RMA my MB!

yakrider (yakrider) wrote :

Wanted to add another report. as of 10/26/2010

Brand new Dell XPS 9100 Realtek card.

Came with Windows 7. Internet was working, downloaded Maverick, burnt CD.

Booted from CD, no ethernet, installed Maverick. no ethernet.

Rebooted, loaded fine, no ethernet.

Found another machine to troubleshoot. Cold booted after letting PC sit for a minute. Ethernet now works.

Ethernet was working for several days (no reboots in this time).

Ubuntu suddenly freezes (mouse moves but screen completely unresponsive). Attempted to kill/restart x server, no response. Had to hard shutdown PC

Rebooted machine, no ethernet.

Shut down machine, waited with power plugged off for several minutes, rebooted, no ethernet.

Repeat cold boot attempts several times, still no ethernet. !!

Current state : about to pull my hair out.

Please help with any suggestions !!
Thank you.

jazztickets (jazztickets) wrote :

I've had some weird luck by loading up the BIOS setup and loading "optimized defaults". That seemed to help get my ethernet back to normal.

Changed in linux (Ubuntu Maverick):
assignee: nobody → jazztickets (alan-witkowski)
assignee: jazztickets (alan-witkowski) → nobody
Allen Lee (allenlee2) wrote :

Adding one more machine this bug surfaced on. Motherboard a ASUS M4A785-M with the same Realtek RTL8111 ethernet card. Machine has been running ubuntu 10.04 as the only OS for the past 6 months without issue. Just today, it booted without a network connection, with the router showing a solid amber light indicating a 10Mbs connection, and no lights on the ethernet port at all. After checking the cable/router/modem/rebooting, I found the referenced forum thread. A hard reboot without power for a few minutes restored the network connection.

Sebastian (elefantungen) wrote :

Hello, i also have this problem.
Downgrade to 2.6.28-19-generic will make the NIC connect.

What i can recall, this was an issue about two years ago.

Phil Chapman (phil-dogsbody) wrote :

I have also encountered this problem. My PC contains an Asus P7P55D Pro motherboard with an integrated Realtek 8111/8168B PCi Express Gigabit Ethernet Controller. I have a dual boot setup with Windows 7 Ultimate 64-bit and Ubuntu.

When I first built the PC, I installed Ubuntu 9.10 and everything seemed fine. I subsequently upgraded to 10.04 and the network was still usable at first. One day, I booted Ubuntu and the wired network was shown as not connected; there was no link light on the PC or switch either. The same patch cable/switch port worked fine for another PC. I rebooted the P7P55D PC into Windows and still had no network connection. I switched off the computer (unplugged mains) then restarted and Windows worked fine again. Booting back into Ubuntu made the problem recur.

I fitted a spare Intel 82557 PCI card and updated to Ubuntu 10.10 using this network interface. Unfortunately the problem with the Realtek interface is unchanged...

germulvey (gpmulvey-iol) wrote :

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
Affects after install of Ubuntu 10.10 or Ubuntu based distro - Linuxmint
Issue not affecting in windows alone.
Issue affected 10.04 and 10.10 for me
ASUS M4A785-V EVO

Are any work a rounds or fixes confirmed?
Windows only until this can be fixed!

germulvey (gpmulvey-iol) wrote :

aditional info for above post
Lan listed in mobo manual as
RTL8112L Gigabit LAN controller

germulvey (gpmulvey-iol) wrote :

I just run the livecd of 10.10 without install and had the lan fail on booting windows.
The usual power off resolves.
Still means that installing Ubuntu at the moment is not an option.

Mark Lines (linesma) wrote :

This affects the 64-bit server 10.10 release as well. I will try the total power off and see what happens. Been without network for a couple of days now.

GordonSchumacher (eleccham) wrote :

Maverick 32-bit on a D510MO exhibits this as well, as do MeeGo 1.1.80.x builds (kernel is likewise 2.6.35-based). I've got a pretty long "grungy" cable, which I suspected might have something to do with it.

The switch it's plugged into is a GbE switch. When I moved it to a port on my wireless AP, which has a 100Mb switch in it, it connected just fine. So I'm going to guess that if it is able to communicate with the switch well enough to detect GbE on the other side but not well enough to complete negotiation, then it dies completely; but if it never detects GbE at all and the cable is okay for 100Mb, then it works.

Hope that helps...

Tiziana (tialo) wrote :

For me shutting down the system, unplugging the power supply, waiting a minute and then restarting solved the issue, at least by now.

I have Lucid Lynx 32 bit, kernel 2.6.32-26-generic, and the network adapter stopped working with no apparent reason, after a month or so of normal use (well actually a couple of strange system freezing happened).
The motherboard is an asus p7p55 LX and the card is detected as "RTL8111/8168" controller. Driver was the default one, r8169.
It is now Realtek's one, r8168, but installing it didn't work by itself (but I hope it will at least prevent the freezing issue).

I got the problem fixed only with unplug. Simple reboot didn't work, leaving the pc shut down for a day (but with the power cable still plugged) didn't work, a lot of other stuff didn't work... only after restart *and* unplugging I got the network working.

So, unplugging is worth trying.... fast and harmless, and it could solve. At least for a while.

sam-c (cohensam) wrote :

I have also had a lot of freezing graphics problems with 10.10 since 9.04
Lenovo Desktop
0.5 Meg Memory

siggy1 (siggy1) wrote :

Same problem exists on a friend's brand new PC:

CPU Intel Core i7 860, 4x 2.8GHz
Mainboard: ASUS P7P55D-E, Intel P55 (USB3.0/SATA3)
ATI Radeon HD 5750 1024MB
8GB DDR3-1333 CL9

Before installation of Ubuntu 10.10, ethernet worked fine in Windows 7 Professional 64bit.
After installation of Ubuntu 10.10 64bit release, ethernet interface stopped working.
After reboot to Windows 7 it said: no ethernet cable connected.
Plug out + plug in of network cable did not help, neither disable + enable network card.
Only solution is to power off and pull the power cable, wait a few minutes and pray.

Is someone of the developers working on this issue?
I have no access to the PC, so I cannot provide any further diagnostic info.

Lobby Dosser (ian-campbell99) wrote :

I am another person with this problem. Motherboard is Gigabyte GIGABYTE GA-G41MT-D3. I am running Ubuntu 10.10 64 bit. Network chip is Realtek RTL8111D. PC will boot up and networking works for about 2 minutes. It then fails but comes back of its own accord if left for 5 or 10 minutes. Networking will then work ok for a while and then have failures of several minutes every now and again. When it fails I cannot ping either by IP number or by URL however bittorrent continues to work ok. I was amazed by that!

The kernel is 2.6.35-24-generic. I was running the R8169 kernel module but have now changed it to the R8168 module. That did no good. When I boot the machine into Windows networking is perfect. Disconnecting power and ethernet followed by a reboot does not work for me. Booting off a Knoppix 6.2 CD and the networking is perfect. The Knoppix kernel is 2.6.32.6 and the module is R8169. Since the R8169 module did not work for me with the Ubuntu kernel I suspect that the kernel may be where the problem is.

Lobby Dosser (ian-campbell99) wrote :

Downloaded a Live CD of Ubuntu Natty Alpha and booted off that. Networking ran perfectly for the half hour I tried it. Kernel was 2.6.37-7generic. Network module was R8169.

Pablo Duda (pablo-duda) wrote :

Hi, I'm using Ubuntu 10.10 - Maverick Meerkat. My motherboard is Asus P7P55D LE with Realtek® 8112L Gigabit LAN controller featuring AI NET2.
Cold reboot works for me. But after two or three of inits the network card crashes again.
Cheers

jcolbert (jcolbert) wrote :

Have/had the same problem with wife's HP. Ended up warrantying the box the first time it happened as it killed it in 10.4 and Win 7. Second time, I noticed it happened when I tried to configure power saving in 10.4. When I undid the power saving, it came back. This last time there had been no power saving changes done, but there were updates applied. Since she is good about applying them when they are available, they just got done. I did not check the logs to see what was patched though. Same thing happened. Dead NIC in both kubuntu and windows through reboots and power cycles (windows is hardly ever used).

Unplugging the power supply on the motherboard for a few minutes brought it back to life.

Have the same bug:

Motherboard - Asus P7P55D, Core i7 860.

Dual boot - Windows 7 Pro 64 bit + Ubuntu 10.04.

Network work well in Windows and work at first boot on Ubuntu. After reboot network doesn't work neither Windows nor Ubuntu. Only motherboard reset (take off the jumper) helps.

Also, exactly the same behaviour on last Fedora and Parted Magic.

This issue persists on 32 bit Maverick as of 26 Apr 2011. ASRock M3A770DE motherboard (onboard RTL8111/8168B). As with others, powering down fully for a minute and restarting fixed the issue. So far this one's hit twice in the few months we've had the computer in question.

dingo (dingo13) wrote :

Searching for a solution with my R8169 networkcard I did read some threads with this kind of problem. The solution seem to be to set in Windows Wake On Lan to on and the settings Let Windows shutdown the card to off. Then after one cold boot and disconnecting the cable for about 20 seconds it should work again.

donde (don1mh) wrote :

I have this bug too, but a bit different. Loaded 10.10 on Asus eeeBox EB1007. No wired LAN connection after boot. Wireless is OK. I can solve this by unplugging LAN cable just for a second and replug it back in. I can also get a connection by doing sudo ifconfig eth0 down, and then sudo ifconfig eth0 up. I tried 10.04 LiveCD, and 9.10. Same problem. Put XP on the EB1007 box. No problem connecting. Today, I installed 11.04 on the box. Same problem. Can you please help? ASUS cannot, even though they used to be a Linux advocate! I have their original eeePC running Atheros. I like this little EB1007, Again, could you please figure out a fix? It would be OK with a bash script to do the ifconfig routine, but have not been able to get it to work, for the command is owned by root. I tried sudoers, but no joy. Thanks, donde

donde (don1mh) wrote :
Download full text (7.0 KiB)

I now have 2 printouts of System Log of Ubuntu 11.04 installed on ASUS eeeBox EB1007. The first listing shows indication of no connection to wired LAN right after completed normal boot. The second listing shows listing of same log right after I unplug LAN cable and plug it back in. I hope this can help. donde

Apr 29 19:07:36 mike-EB1007 NetworkManager[426]: <info> (eth0): device state change: 8 -> 2 (reason 40)
Apr 29 19:07:36 mike-EB1007 NetworkManager[426]: <info> (eth0): deactivating device (reason: 40).
Apr 29 19:07:36 mike-EB1007 NetworkManager[426]: <info> (eth0): canceled DHCP transaction, DHCP client pid 765
Apr 29 19:07:36 mike-EB1007 avahi-daemon[418]: Withdrawing address record for 192.168.0.105 on eth0.
Apr 29 19:07:36 mike-EB1007 avahi-daemon[418]: Leaving mDNS multicast group on interface eth0.IPv4 with address 192.168.0.105.
Apr 29 19:07:36 mike-EB1007 avahi-daemon[418]: Interface eth0.IPv4 no longer relevant for mDNS.
Apr 29 19:07:38 mike-EB1007 anacron[1272]: Anacron 2.3 started on 2011-04-29
Apr 29 19:07:38 mike-EB1007 anacron[1272]: Normal exit (0 jobs run)
Apr 29 19:07:39 mike-EB1007 kernel: [ 23.000130] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0
Apr 29 19:07:41 mike-EB1007 kernel: [ 25.152031] eth0: no IPv6 routers present
Apr 29 19:07:43 mike-EB1007 ntpdate[1336]: Can't find host ntp.ubuntu.com: Name or service not known (-2)
Apr 29 19:07:43 mike-EB1007 ntpdate[1336]: no servers can be used, exiting
Apr 29 19:14:26 mike-EB1007 AptDaemon: INFO: Initializing daemon
Apr 29 19:17:01 mike-EB1007 CRON[1580]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)

Apr 29 19:14:26 mike-EB1007 AptDaemon: INFO: Initializing daemon
Apr 29 19:17:01 mike-EB1007 CRON[1580]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Apr 29 19:19:26 mike-EB1007 AptDaemon: INFO: Quitting due to inactivity
Apr 29 19:19:26 mike-EB1007 AptDaemon: INFO: Shutdown was requested
Apr 29 19:21:04 mike-EB1007 kernel: [ 827.578503] jme 0000:03:00.0: eth0: Link is down
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> (eth0): carrier now ON (device state 2)
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> (eth0): device state change: 2 -> 3 (reason 40)
Apr 29 19:21:07 mike-EB1007 kernel: [ 830.758183] jme 0000:03:00.0: eth0: Link is up at ANed: 100 Mbps, Full-Duplex, MDI
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> Activation (eth0) starting connection 'Auto eth0'
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> (eth0): device state change: 3 -> 4 (reason 0)
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Apr 29 19:21:07 mike-EB1007 NetworkManager[426]: <info> (...

Read more...

donde (don1mh) wrote :

I put in 3 line feeds, but I guess your system did not understand it. Anyway, the second listing starts at "link is down" at far left.
donde

Taras (tiras-dude) wrote :

Acer 4530 test run of Natty from USB

Since than can not get any 10.10 or 10.04 to recognize the eith 0 either

root@ubuntu:/home/ubuntu# ethtool eth0
Settings for eth0:
Cannot get device settings: No such device
Cannot get wake-on-lan settings: No such device
Cannot get message level: No such device
Cannot get link status: No such device
No data available

Pixie interface works from BIOS

Cold reboot does not help.

Please advise what to do, other than buying new laptop.

Taras (tiras-dude) wrote :

root@ubuntu:/home/ubuntu# lspci
00:00.0 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation Device 075e (rev a2)
00:01.1 SMBus: nVidia Corporation MCP78S [GeForce 8200] SMBus (rev a1)
00:01.3 Co-processor: nVidia Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
00:01.4 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:02.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:04.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:04.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:07.0 Audio device: nVidia Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:09.0 SATA controller: nVidia Corporation Device 0ad5 (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:14.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:15.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 11h Processor HyperTransport Configuration (rev 40)
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 11h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 11h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 11h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 11h Processor Link Control
02:00.0 VGA compatible controller: nVidia Corporation C77 [GeForce 9100M G] (rev a2)
0b:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

architecture is amd64

Ryan Shaw (ryannathans) wrote :

Is this present in 11.04?

@Taras

A Cold boot should fix the problem. Take out power cable and the battery.

Wait a minute.

Put em in and you should be good to go. If it happens again, repeat.

lamo (blackvd) wrote :

I'm having the same problem and nothing solves it, including poet down remove plug wait 20 mins and enabling wake on lan in window seven. I have no wireless so how can I use my computer now?

Also would this problem persist if I switched distros our deleted windows?

wvb (thewiep) wrote :

am experiencing the same issue it seems
running 11.04 64bit, have a RTL8111/8168B network card

I seemed to be able to "fix" it by unplugging/plugging in the network cable a few times and then it would suddenly connect
this had to be done every startup

now I found a workaround through this link:
http://ringlord.com/news-20110429.html

I added following command to /etc/rc.local
ifconfig eth0 down
sleep 10
ifconfig eth0 up
sleep 10
ethtool -s eth0 port tp

and now my 11.04 is connected automatically before I'm logged in (so when it's still on the logon screen)

Lars Ola Liavåg (l-liavag) wrote :

I've had this problem too on using an Asus P7P55D-E LX motherboard with Realtek RTL8111, a Core i5 processor, and an Nvidia GTX460 graphics card. After exchanging every single component except the CPU, graphics card, and memory sticks, ethernet now mostly behaves decently but I still have the freezing problems mentioned by some above. Ive reported those separately as bug #720863. It would be good if people with the same problem could check out that bug and add yourself as affected or otherwise give feedback because nothing seems to happen.

Adrien Dupuis (adrien-dupuis) wrote :

I have had this problem using an Asus P7P55D motherboard (Realtek PCIe GBE family integrated ethernet) while just trying Ubuntu 10.10 off the CD (not actually even installing Ubuntu).

The cold reboot fix worked for me.

MWNZ (spam2-instruform) wrote :

I confirm this problem on Dell XPS with a RTL8168B/8111B card in 64-bit Natty Narwhal (11.04). After some network activity (e.g. copying a large file), it will lock up the machine with only a flashing CAPS lock light and no other activity requiring a hard reset by pressing and holding the power button. The kernel is loading the r8169 driver. Strangely, this was not an issue running 10.10 on the same machine. Doing a vanilla reinstall did nothing to resolve this issue. Tehre were no BIOS settings that could be changed on my system.

I also confirm that it is solved by installing the Realtek r8168 proprietary driver from the Realtek website (and then running sudo dpkg-reconfigure linux-image-`uname -r`). Hope this helps someone else. This really was a pain to diagnose.

Hey!

Bedankt voor je mail! Ik ben er even tussenuit geknepen naar een lekker warm land! Ik beantwoord je mail na mijn vakantie (11 oktober).

Groetjes!

Ruben

Selmi (selmi) wrote :

still problem with ubuntu 11.10 (oneiric)
ethernet works in linux
when i reboot from linux to windows xp ethernet is not working (behaves as if cable would be unplugged). reset doesn't help. poweroff and new boot helps but only if i let it switched off for longer then just few minutes (10 minutes is enough, 5 minutes not)
but anytime i can boot back into linux and everything works well!

Also affected.

Zeyelth (zeyelth) wrote :

Updating the BIOS solved the cold reboot issues for me a long time ago.

Motherboard: Asus P7P55D
BIOS ver. which supposedly fixed it: 2003.

Machine do seem to lock up under heavy traffic in Ubuntu 11.10 though, but I am not sure if this is due to a recently introduced bug, or a change in network usage.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in linux (Ubuntu Maverick):
status: Confirmed → Invalid

This bug is still present @ ubuntu 12.04 LTS. Once booting in ubuntu kills the adapter for every OS (ubunut, Windows XP, Windows 7). Shutting down for more than 15 minutes seems to get it running again. All problems as described by the first post. I found this entry by google, so is there any new bug report for 12.04?

Philipp Hagemeister, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

tags: added: lucid
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
serguei_kp (kalachnikov-info) wrote :

Hello, I've tested two configurations to find out how to resolve this problem, but I'm not succeeded, here they are :

Ubuntu configuration 1 :
- Ubuntu 10.04.4 LTS,
- software RAID 1 mirror - installed with alternate CD
- mother board Asus p8z77-v LX
- processor intel i3

Ubuntu configuration 2 :
- Ubuntu 10.04.4 LTS,
- fake RAID 1 mirror - installed with Desktop CD
- mother board Asus p8z77-v LX
- processor intel i3

Description of problem :
While putting in to the suspend or hibernate mode working well, when trying to resume from one of this states the system starts :
- rebooting 3 times then it takes 5 or 10 minutes to boot up the system
- after such painful booting the wire LAN disappears! I'have to activate LAN and then reboot the system normally to make LAN reappear;

Thank you in advance for your help.

P.S. I've got the same Ubuntu 10.04.4 LTS on my laptop as server (but no raid 1 on it) the suspend and hibernate resume works without problem;

serguei_kp, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions